Options
public struct Options : Sendable
Options that influence how a Journey is initiated or resumed.
- forceAuth: Forces authentication even if a valid session exists.
- noSession: Allows the journey to complete without creating a session.
- verificationUriComplete: The
verificationUriCompleteURL from an RFC 8628 device authorization response. Set this when the current device is acting as the approving device.OidcModulereads this value from the workflow’s shared context and uses it to extract theuser_codeand POST approval to the verification URL after a successful Journey authentication.
-
Whether to force authentication even when a valid session exists.
Declaration
Swift
public var forceAuth: Bool -
Whether to allow completion without generating a session.
Declaration
Swift
public var noSession: Bool -
The
verificationUriCompleteURL from an RFC 8628 device authorization response.When set,
OidcModuleextracts theuser_codequery parameter from this URL and POSTs it (withdecision=allowand the SSO token as cookie) to the verification URL after the user authenticates, thereby approving the requesting device.Declaration
Swift
public var verificationUriComplete: URL?
View on GitHub